# Positions Positions ## Gets all of the positions in the system. - [GET /positions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/listpositions.md): This method will scan all positions and and return them to the caller. ## Creates a new position record that does not already exist. - [POST /positions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/createposition.md): This method will auto-generate an ID and create a new position. If an ID is specified for the position, an error will be thrown. ## Execute Batch Operations - [POST /positions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a position from the system by its ID. - [DELETE /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/deleteposition.md): This method will delete a position with the specified ID. ## Returns a position from the system by its ID. - [GET /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/getposition.md): This method will look up a position by the specified ID and return it back. ## Partially updates a position with the specified ID. - [PATCH /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/patchposition.md): This method will patch an existing position with the specified ID, using the HTTP PATCH specification. ## Updates a position with the specified ID. - [PUT /positions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/committees/committees-v1/positions/updateposition.md): This method will update an existing position with the specified ID.